Index: trunk/grails-app/views/section/edit.gsp
===================================================================
--- trunk/grails-app/views/section/edit.gsp	(revision 267)
+++ trunk/grails-app/views/section/edit.gsp	(revision 268)
@@ -5,24 +5,24 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Edit SystemSection</title>
+        <title>Edit Section</title>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">SystemSection List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New SystemSection</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">Section List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New Section</g:link></span>
         </div>
         <div class="body">
-            <h1>Edit SystemSection</h1>
+            <h1>Edit Section</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${systemSectionInstance}">
+            <g:hasErrors bean="${sectionInstance}">
             <div class="errors">
-                <g:renderErrors bean="${systemSectionInstance}" as="list" />
+                <g:renderErrors bean="${sectionInstance}" as="list" />
             </div>
             </g:hasErrors>
             <g:form method="post" >
-                <input type="hidden" name="id" value="${systemSectionInstance?.id}" />
-                <input type="hidden" name="version" value="${systemSectionInstance?.version}" />
+                <input type="hidden" name="id" value="${sectionInstance?.id}" />
+                <input type="hidden" name="version" value="${sectionInstance?.version}" />
                 <div class="dialog">
                     <table>
@@ -31,15 +31,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="assets">Assets:</label>
+                                    <label for="name">Name:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'assets','errors')}">
-                                    
-<ul>
-<g:each var="a" in="${systemSectionInstance?.assets?}">
-    <li><g:link controller="asset" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
-</g:each>
-</ul>
-<g:link controller="asset" params="['systemSection.id':systemSectionInstance?.id]" action="create">Add Asset</g:link>
-
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'name','errors')}">
+                                    <input type="text" maxlength="50" id="name" name="name" value="${fieldValue(bean:sectionInstance,field:'name')}"/>
                                 </td>
                             </tr> 
@@ -47,8 +40,33 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="costCode">Cost Code:</label>
+                                    <label for="description">Description:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'costCode','errors')}">
-                                    <input type="text" id="costCode" name="costCode" value="${fieldValue(bean:systemSectionInstance,field:'costCode')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'description','errors')}">
+                                    <input type="text" maxlength="100" id="description" name="description" value="${fieldValue(bean:sectionInstance,field:'description')}"/>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="isActive">Is Active:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'isActive','errors')}">
+                                    <g:checkBox name="isActive" value="${sectionInstance?.isActive}" ></g:checkBox>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="assets">Assets:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'assets','errors')}">
+                                    
+<ul>
+<g:each var="a" in="${sectionInstance?.assets?}">
+    <li><g:link controller="asset" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
+</g:each>
+</ul>
+<g:link controller="asset" params="['section.id':sectionInstance?.id]" action="create">Add Asset</g:link>
+
                                 </td>
                             </tr> 
@@ -58,24 +76,6 @@
                                     <label for="department">Department:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'department','errors')}">
-                                    <g:select optionKey="id" from="${Department.list()}" name="department.id" value="${systemSectionInstance?.department?.id}" ></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="description">Description:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'description','errors')}">
-                                    <input type="text" id="description" name="description" value="${fieldValue(bean:systemSectionInstance,field:'description')}"/>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="isActive">Is Active:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'isActive','errors')}">
-                                    <g:checkBox name="isActive" value="${systemSectionInstance?.isActive}" ></g:checkBox>
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'department','errors')}">
+                                    <g:select optionKey="id" from="${Department.list()}" name="department.id" value="${sectionInstance?.department?.id}" ></g:select>
                                 </td>
                             </tr> 
@@ -85,12 +85,12 @@
                                     <label for="maintenanceActions">Maintenance Actions:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'maintenanceActions','errors')}">
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'maintenanceActions','errors')}">
                                     
 <ul>
-<g:each var="m" in="${systemSectionInstance?.maintenanceActions?}">
+<g:each var="m" in="${sectionInstance?.maintenanceActions?}">
     <li><g:link controller="maintenanceAction" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
 </g:each>
 </ul>
-<g:link controller="maintenanceAction" params="['systemSection.id':systemSectionInstance?.id]" action="create">Add MaintenanceAction</g:link>
+<g:link controller="maintenanceAction" params="['section.id':sectionInstance?.id]" action="create">Add MaintenanceAction</g:link>
 
                                 </td>
@@ -99,8 +99,15 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="name">Name:</label>
+                                    <label for="sectionExtendedAttributes">Section Extended Attributes:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:systemSectionInstance,field:'name')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'sectionExtendedAttributes','errors')}">
+                                    
+<ul>
+<g:each var="s" in="${sectionInstance?.sectionExtendedAttributes?}">
+    <li><g:link controller="sectionExtendedAttribute" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
+</g:each>
+</ul>
+<g:link controller="sectionExtendedAttribute" params="['section.id':sectionInstance?.id]" action="create">Add SectionExtendedAttribute</g:link>
+
                                 </td>
                             </tr> 
@@ -110,6 +117,6 @@
                                     <label for="site">Site:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'site','errors')}">
-                                    <g:select optionKey="id" from="${Site.list()}" name="site.id" value="${systemSectionInstance?.site?.id}" ></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'site','errors')}">
+                                    <g:select optionKey="id" from="${Site.list()}" name="site.id" value="${sectionInstance?.site?.id}" ></g:select>
                                 </td>
                             </tr> 
